import { Mark } from './Mark';
import { PieModel } from './PieModel';
export declare class Pie extends Mark {
    render(): Promise<void>;
    set_ranges(): void;
    set_positional_scales(): void;
    create_listeners(): void;
    process_click(interaction: any): void;
    relayout(): void;
    private positionCenter;
    private updateRadius;
    private midAngleLocation;
    draw(animate?: boolean): void;
    private updateSlices;
    private updateLabels;
    updatePolylines(animate?: boolean): void;
    clear_style(style_dict: any, indices?: any): void;
    set_style_on_elements(style: any, indices?: any): void;
    set_default_style(indices?: any): void;
    click_handler(args: any): void;
    reset_selection(): void;
    compute_view_padding(): void;
    private d3Pie;
    private pieSelection;
    private arc;
    private outerArc;
    model: PieModel;
}
